<?php
$tdatastatistics_b_01_chart = array();
$tdatastatistics_b_01_chart[".searchableFields"] = array();
$tdatastatistics_b_01_chart[".ShortName"] = "statistics_b_01_chart";
$tdatastatistics_b_01_chart[".OwnerID"] = "";
$tdatastatistics_b_01_chart[".OriginalTable"] = "statistics_b_01";


$tdatastatistics_b_01_chart[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdatastatistics_b_01_chart[".originalPagesByType"] = $tdatastatistics_b_01_chart[".pagesByType"];
$tdatastatistics_b_01_chart[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdatastatistics_b_01_chart[".originalPages"] = $tdatastatistics_b_01_chart[".pages"];
$tdatastatistics_b_01_chart[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdatastatistics_b_01_chart[".originalDefaultPages"] = $tdatastatistics_b_01_chart[".defaultPages"];

//	field labels
$fieldLabelsstatistics_b_01_chart = array();
$fieldToolTipsstatistics_b_01_chart = array();
$pageTitlesstatistics_b_01_chart = array();
$placeHoldersstatistics_b_01_chart = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics_b_01_chart["English"] = array();
	$fieldToolTipsstatistics_b_01_chart["English"] = array();
	$placeHoldersstatistics_b_01_chart["English"] = array();
	$pageTitlesstatistics_b_01_chart["English"] = array();
	$fieldLabelsstatistics_b_01_chart["English"]["Region"] = "Region";
	$fieldToolTipsstatistics_b_01_chart["English"]["Region"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["Region"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistics_b_01_chart["English"]["numRegion"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["numRegion"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["V"] = "V";
	$fieldToolTipsstatistics_b_01_chart["English"]["V"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["V"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["Total"] = "Total";
	$fieldToolTipsstatistics_b_01_chart["English"]["Total"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["Total"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistics_b_01_chart["English"]["Percentage"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["Percentage"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["P_ma3"] = "P Ma3";
	$fieldToolTipsstatistics_b_01_chart["English"]["P_ma3"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["P_ma3"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["P_dod"] = "P Dod";
	$fieldToolTipsstatistics_b_01_chart["English"]["P_dod"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["P_dod"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["P_tachkil"] = "P Tachkil";
	$fieldToolTipsstatistics_b_01_chart["English"]["P_tachkil"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["P_tachkil"] = "";
	$fieldLabelsstatistics_b_01_chart["English"]["P_majhoul"] = "P Majhoul";
	$fieldToolTipsstatistics_b_01_chart["English"]["P_majhoul"] = "";
	$placeHoldersstatistics_b_01_chart["English"]["P_majhoul"] = "";
	if (count($fieldToolTipsstatistics_b_01_chart["English"]))
		$tdatastatistics_b_01_chart[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics_b_01_chart["Arabic"] = array();
	$fieldToolTipsstatistics_b_01_chart["Arabic"] = array();
	$placeHoldersstatistics_b_01_chart["Arabic"] = array();
	$pageTitlesstatistics_b_01_chart["Arabic"] = array();
	$fieldLabelsstatistics_b_01_chart["Arabic"]["Region"] = "Region";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["Region"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["Region"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["numRegion"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["numRegion"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["V"] = "V";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["V"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["V"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["Total"] = "Total";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["Total"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["Total"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["Percentage"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["Percentage"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["P_ma3"] = "P Ma3";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["P_ma3"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["P_ma3"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["P_dod"] = "P Dod";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["P_dod"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["P_dod"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["P_tachkil"] = "P Tachkil";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["P_tachkil"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["P_tachkil"] = "";
	$fieldLabelsstatistics_b_01_chart["Arabic"]["P_majhoul"] = "P Majhoul";
	$fieldToolTipsstatistics_b_01_chart["Arabic"]["P_majhoul"] = "";
	$placeHoldersstatistics_b_01_chart["Arabic"]["P_majhoul"] = "";
	if (count($fieldToolTipsstatistics_b_01_chart["Arabic"]))
		$tdatastatistics_b_01_chart[".isUseToolTips"] = true;
}


	$tdatastatistics_b_01_chart[".NCSearch"] = true;

	$tdatastatistics_b_01_chart[".ChartRefreshTime"] = 0;


$tdatastatistics_b_01_chart[".shortTableName"] = "statistics_b_01_chart";
$tdatastatistics_b_01_chart[".nSecOptions"] = 0;

$tdatastatistics_b_01_chart[".mainTableOwnerID"] = "";
$tdatastatistics_b_01_chart[".entityType"] = 3;
$tdatastatistics_b_01_chart[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics_b_01_chart[".strOriginalTableName"] = "statistics_b_01";

	



$tdatastatistics_b_01_chart[".showAddInPopup"] = false;

$tdatastatistics_b_01_chart[".showEditInPopup"] = false;

$tdatastatistics_b_01_chart[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics_b_01_chart[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics_b_01_chart[".listAjax"] = false;
//	temporary
$tdatastatistics_b_01_chart[".listAjax"] = false;

	$tdatastatistics_b_01_chart[".audit"] = false;

	$tdatastatistics_b_01_chart[".locking"] = false;


$pages = $tdatastatistics_b_01_chart[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics_b_01_chart[".edit"] = true;
	$tdatastatistics_b_01_chart[".afterEditAction"] = 1;
	$tdatastatistics_b_01_chart[".closePopupAfterEdit"] = 1;
	$tdatastatistics_b_01_chart[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics_b_01_chart[".add"] = true;
$tdatastatistics_b_01_chart[".afterAddAction"] = 1;
$tdatastatistics_b_01_chart[".closePopupAfterAdd"] = 1;
$tdatastatistics_b_01_chart[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics_b_01_chart[".list"] = true;
}



$tdatastatistics_b_01_chart[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics_b_01_chart[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics_b_01_chart[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics_b_01_chart[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics_b_01_chart[".printFriendly"] = true;
}



$tdatastatistics_b_01_chart[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics_b_01_chart[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics_b_01_chart[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics_b_01_chart[".isUseAjaxSuggest"] = true;






$tdatastatistics_b_01_chart[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics_b_01_chart[".buttonsAdded"] = false;

$tdatastatistics_b_01_chart[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics_b_01_chart[".isUseTimeForSearch"] = false;


$tdatastatistics_b_01_chart[".badgeColor"] = "4682B4";


$tdatastatistics_b_01_chart[".allSearchFields"] = array();
$tdatastatistics_b_01_chart[".filterFields"] = array();
$tdatastatistics_b_01_chart[".requiredSearchFields"] = array();

$tdatastatistics_b_01_chart[".googleLikeFields"] = array();
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "Region";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "numRegion";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "V";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "Total";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "Percentage";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "P_ma3";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "P_dod";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "P_tachkil";
$tdatastatistics_b_01_chart[".googleLikeFields"][] = "P_majhoul";



$tdatastatistics_b_01_chart[".tableType"] = "chart";

$tdatastatistics_b_01_chart[".printerPageOrientation"] = 0;
$tdatastatistics_b_01_chart[".nPrinterPageScale"] = 100;

$tdatastatistics_b_01_chart[".nPrinterSplitRecords"] = 40;

$tdatastatistics_b_01_chart[".geocodingEnabled"] = false;



// chart settings
$tdatastatistics_b_01_chart[".chartType"] = "2DColumn";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics_b_01_chart[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics_b_01_chart[".orderindexes"] = array();


$tdatastatistics_b_01_chart[".sqlHead"] = "SELECT Region,  numRegion,  V,  Total,  Percentage,  P_ma3,  P_dod,  P_tachkil,  P_majhoul";
$tdatastatistics_b_01_chart[".sqlFrom"] = "FROM statistics_b_01";
$tdatastatistics_b_01_chart[".sqlWhereExpr"] = "";
$tdatastatistics_b_01_chart[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics_b_01_chart[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics_b_01_chart[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics_b_01_chart[".highlightSearchResults"] = true;

$tableKeysstatistics_b_01_chart = array();
$tdatastatistics_b_01_chart[".Keys"] = $tableKeysstatistics_b_01_chart;


$tdatastatistics_b_01_chart[".hideMobileList"] = array();




//	Region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Region";
	$fdata["GoodName"] = "Region";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","Region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["Region"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "Region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["numRegion"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "numRegion";
//	V
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "V";
	$fdata["GoodName"] = "V";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","V");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "V";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "V";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["V"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "V";
//	Total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Total";
	$fdata["GoodName"] = "Total";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","Total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["Total"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "Total";
//	Percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Percentage";
	$fdata["GoodName"] = "Percentage";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","Percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["Percentage"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "Percentage";
//	P_ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "P_ma3";
	$fdata["GoodName"] = "P_ma3";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","P_ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["P_ma3"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "P_ma3";
//	P_dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "P_dod";
	$fdata["GoodName"] = "P_dod";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","P_dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["P_dod"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "P_dod";
//	P_tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "P_tachkil";
	$fdata["GoodName"] = "P_tachkil";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","P_tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["P_tachkil"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "P_tachkil";
//	P_majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "P_majhoul";
	$fdata["GoodName"] = "P_majhoul";
	$fdata["ownerTable"] = "statistics_b_01";
	$fdata["Label"] = GetFieldLabel("statistics_b_01_Chart","P_majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_b_01_chart["P_majhoul"] = $fdata;
		$tdatastatistics_b_01_chart[".searchableFields"][] = "P_majhoul";

$tdatastatistics_b_01_chart[".chartLabelField"] = "Region";
$tdatastatistics_b_01_chart[".chartSeries"] = array();
$tdatastatistics_b_01_chart[".chartSeries"][] = array( 
	"field" => "P_dod",
	"total" => ""
);
$tdatastatistics_b_01_chart[".chartSeries"][] = array( 
	"field" => "P_ma3",
	"total" => ""
);
$tdatastatistics_b_01_chart[".chartSeries"][] = array( 
	"field" => "P_majhoul",
	"total" => ""
);
$tdatastatistics_b_01_chart[".chartSeries"][] = array( 
	"field" => "P_tachkil",
	"total" => ""
);
$tdatastatistics_b_01_chart[".chartSeries"][] = array( 
	"field" => "Percentage",
	"total" => ""
);
	$tdatastatistics_b_01_chart[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">statistics_b_01 Chart</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="0">
			<attr value="name">P_dod</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="1">
			<attr value="name">P_ma3</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="2">
			<attr value="name">P_majhoul</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="3">
			<attr value="name">P_tachkil</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="4">
			<attr value="name">Percentage</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="5">
		<attr value="name">Region</attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="head">'.xmlencode("statistics_b_01 Chart").'</attr>
<attr value="foot">'.xmlencode("Legend Title").'</attr>
<attr value="y_axis_label">'.xmlencode("numRegion").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">false</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="0">
		<attr value="name">Region</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","Region")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="1">
		<attr value="name">numRegion</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","numRegion")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="2">
		<attr value="name">V</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","V")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="3">
		<attr value="name">Total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","Total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="4">
		<attr value="name">Percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","Percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="5">
		<attr value="name">P_ma3</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","P_ma3")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="6">
		<attr value="name">P_dod</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","P_dod")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="7">
		<attr value="name">P_tachkil</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","P_tachkil")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdatastatistics_b_01_chart[".chartXml"] .= '<attr value="8">
		<attr value="name">P_majhoul</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("statistics_b_01_Chart","P_majhoul")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdatastatistics_b_01_chart[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">statistics_b_01 Chart</attr>
<attr value="short_table_name">statistics_b_01_chart</attr>
</attr>

</chart>';

$tables_data["statistics_b_01 Chart"]=&$tdatastatistics_b_01_chart;
$field_labels["statistics_b_01_Chart"] = &$fieldLabelsstatistics_b_01_chart;
$fieldToolTips["statistics_b_01_Chart"] = &$fieldToolTipsstatistics_b_01_chart;
$placeHolders["statistics_b_01_Chart"] = &$placeHoldersstatistics_b_01_chart;
$page_titles["statistics_b_01_Chart"] = &$pageTitlesstatistics_b_01_chart;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics_b_01 Chart"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics_b_01 Chart"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics_b_01_chart()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Region,  numRegion,  V,  Total,  Percentage,  P_ma3,  P_dod,  P_tachkil,  P_majhoul";
$proto0["m_strFrom"] = "FROM statistics_b_01";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto6["m_sql"] = "Region";
$proto6["m_srcTableName"] = "statistics_b_01 Chart";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "statistics_b_01 Chart";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "V",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto10["m_sql"] = "V";
$proto10["m_srcTableName"] = "statistics_b_01 Chart";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Total",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto12["m_sql"] = "Total";
$proto12["m_srcTableName"] = "statistics_b_01 Chart";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto14["m_sql"] = "Percentage";
$proto14["m_srcTableName"] = "statistics_b_01 Chart";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "P_ma3",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto16["m_sql"] = "P_ma3";
$proto16["m_srcTableName"] = "statistics_b_01 Chart";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "P_dod",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto18["m_sql"] = "P_dod";
$proto18["m_srcTableName"] = "statistics_b_01 Chart";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "P_tachkil",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto20["m_sql"] = "P_tachkil";
$proto20["m_srcTableName"] = "statistics_b_01 Chart";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "P_majhoul",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto22["m_sql"] = "P_majhoul";
$proto22["m_srcTableName"] = "statistics_b_01 Chart";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "statistics_b_01";
$proto25["m_srcTableName"] = "statistics_b_01 Chart";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "Region";
$proto25["m_columns"][] = "numRegion";
$proto25["m_columns"][] = "V";
$proto25["m_columns"][] = "Total";
$proto25["m_columns"][] = "Percentage";
$proto25["m_columns"][] = "P_ma3";
$proto25["m_columns"][] = "P_dod";
$proto25["m_columns"][] = "P_tachkil";
$proto25["m_columns"][] = "P_majhoul";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "statistics_b_01";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "statistics_b_01 Chart";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto28=array();
						$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto28["m_column"]=$obj;
$obj = new SQLGroupByItem($proto28);

$proto0["m_groupby"][]=$obj;
												$proto30=array();
						$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto30["m_column"]=$obj;
$obj = new SQLGroupByItem($proto30);

$proto0["m_groupby"][]=$obj;
												$proto32=array();
						$obj = new SQLField(array(
	"m_strName" => "V",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto32["m_column"]=$obj;
$obj = new SQLGroupByItem($proto32);

$proto0["m_groupby"][]=$obj;
												$proto34=array();
						$obj = new SQLField(array(
	"m_strName" => "Total",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto34["m_column"]=$obj;
$obj = new SQLGroupByItem($proto34);

$proto0["m_groupby"][]=$obj;
												$proto36=array();
						$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto36["m_column"]=$obj;
$obj = new SQLGroupByItem($proto36);

$proto0["m_groupby"][]=$obj;
												$proto38=array();
						$obj = new SQLField(array(
	"m_strName" => "P_ma3",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto38["m_column"]=$obj;
$obj = new SQLGroupByItem($proto38);

$proto0["m_groupby"][]=$obj;
												$proto40=array();
						$obj = new SQLField(array(
	"m_strName" => "P_dod",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto40["m_column"]=$obj;
$obj = new SQLGroupByItem($proto40);

$proto0["m_groupby"][]=$obj;
												$proto42=array();
						$obj = new SQLField(array(
	"m_strName" => "P_tachkil",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto42["m_column"]=$obj;
$obj = new SQLGroupByItem($proto42);

$proto0["m_groupby"][]=$obj;
												$proto44=array();
						$obj = new SQLField(array(
	"m_strName" => "P_majhoul",
	"m_strTable" => "statistics_b_01",
	"m_srcTableName" => "statistics_b_01 Chart"
));

$proto44["m_column"]=$obj;
$obj = new SQLGroupByItem($proto44);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics_b_01 Chart";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics_b_01_chart = createSqlQuery_statistics_b_01_chart();


	
		;

									

$tdatastatistics_b_01_chart[".sqlquery"] = $queryData_statistics_b_01_chart;



$tableEvents["statistics_b_01 Chart"] = new eventsBase;
$tdatastatistics_b_01_chart[".hasEvents"] = false;

?>